#### options:
# Use the following --with/--without <option> switches to control how the
# package will be built:
# 
# modular_x:   modular X deps
# lcms:        lcms support
# python:      python support
# mp:          multi processor support
# static:      build static libraries
# print:       build the print plugin (if you don't build it externally)
# convenience: install convenience symlinks

%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
%define _enable_modularX 0%{!?_without_modular_x:1}
%define _enable_lcms 0%{!?_without_lcms:1}
%else
%define _enable_modularX 0%{?_with_modular_x:1}
%define _enable_lcms 0%{?_with_lcms:1}
%endif

%define _enable_python 0%{!?_without_python:1}
%define _enable_mp 0%{!?_without_mp:1}
%define _enable_static 0%{!?_without_static:1}
%define _enable_print 0%{?_with_print:1}
%define _enable_convenience %{!?_without_convenience:1}

#
#

Summary:	GNU Image Manipulation Program
Name: 		gimp
Version: 	2.2.13
%define binver 2.2
%define gimp_lang_ver 20
%define interfacever 2.0
%define age 0
%define minorver 200
%define microver %(ver=%{version}; echo ${ver##*.*.})
Release: 3%{?dist}
Epoch:		2
License: 	GPL, LGPL
Group: 		Applications/Multimedia
URL: 		http://www.gimp.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	gimp2 gimp-beta <= %{version}
Obsoletes:	gimp-perl < 2:2.0
BuildRequires:	glib2-devel >= 2.4.8
BuildRequires: 	gtk2-devel >= 2.4.14
BuildRequires:	pango-devel >= 1.6.0
BuildRequires:	fontconfig-devel >= 2.2.0
BuildRequires:	gtkhtml2-devel
BuildRequires:	python-devel
BuildRequires:	pygtk2-devel
# cope with pygobject2/-devel being split off as well:
BuildRequires:  %{_libdir}/pkgconfig/pygobject-2.0.pc
BuildRequires:	librsvg2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel
BuildRequires:	libmng-devel
BuildRequires:	libexif-devel
%if %_enable_modularX
BuildRequires:	libX11-devel
BuildRequires:	libXmu-devel
# these are req's for libXmu but not yet required by libXmu-devel
BuildRequires:	libXt-devel
%else
BuildRequires:	xorg-x11-devel
%endif
BuildRequires:	gimp-print-devel >= 4.2.0
BuildRequires:	automake >= 1.7
BuildRequires:	autoconf >= 2.54
BuildRequires:	libtool >= 1.5
BuildRequires:	sed
BuildRequires:	libwmf-devel >= 0.2.8
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  findutils
%if %_enable_lcms
BuildRequires:	lcms-devel
%endif
Requires:	desktop-file-utils >= 0.9
Requires:	glib2 >= 2.4.8
Requires: 	gtk2 >= 2.4.14
Requires:	pango >= 1.6.0
Requires:	fontconfig >= 2.2.0
Requires:	gimp-print >= 4.2.0
Requires(post): /usr/bin/update-desktop-database
Requires(post): hicolor-icon-theme
Requires(postun): /usr/bin/update-desktop-database
Requires(postun): hicolor-icon-theme
Source0: 	ftp://ftp.gimp.org/pub/gimp/v%{binver}/gimp-%{version}.tar.bz2
Source1:    gimp-plugin-mgr.in
Patch0:		gimp-2.0pre3-buildroot.patch
Patch1:		gimp-2.2.13-gimphelpmissing.patch
Patch2:		gimp-2.2.13-icontheme.patch
Patch4:		gimp-2.2.4-gifload.patch
Patch5:     gimp-2.2.11-htmlview.patch
Patch6:     gimp-2.2.11-gimptool.patch
Patch7:     gimp-2.2.14-sunras-overflow.patch
Patch8:     gimp-2.2.13-psd-invalid-dimensions.patch
Patch9:     gimp-2.2.13-validate-size-values.patch
Patch10:    gimp-2.2.13-detect-invalid-image-data.patch
Patch11:    gimp-2.2.13-psd-validate-size-values.patch
Patch12:    gimp-2.2.13-sunras-validate-size-values.patch
Patch13:    gimp-2.2.13-psd-corrupt-images-safeguard.patch
Patch14:    gimp-2.2.13-psp-endianness.patch
Patch15:    gimp-2.2.13-pcx-endianness.patch
Patch16:    gimp-2.2.13-pcx-validate-bytesperline.patch
Patch17:    gimp-2.2.13-bmp-hardening.patch
Patch18:    gimp-2.2.13-CVE-2010-4540,4541,4542.patch
Patch19:    gimp-2.2.13-CVE-2010-4543,2011-1782.patch
Patch20:    gimp-2.2.13-pcx-hardening.patch
Patch21:    gimp-2.2.13-CVE-2009-3909,CVE-2012-3402.patch
Patch22:    gimp-2.2.13-CVE-2011-2896.patch
Patch23:    gimp-2.2.13-CVE-2012-3403.patch
Patch24:    gimp-2.2.13-postscript-crash.patch
Patch25:    gimp-2.2.13-CVE-2012-3481.patch
Patch26:    gimp-2.2.13-CVE-2012-5576.patch
Patch27:    gimp-2.2.13-CVE-2013-1913,1978.patch

%description
GIMP (GNU Image Manipulation Program) is a powerful image composition and
editing program, which can be extremely useful for creating logos and other
graphics for webpages. GIMP has many of the tools and filters you would expect
to find in similar commercial offerings, and some interesting extras as well.
GIMP provides a large image manipulation toolbox, including channel operations
and layers, effects, sub-pixel imaging and anti-aliasing, and conversions, all
with multi-level undo.

%package libs
Summary:    GIMP libraries
Group:      System Environment/Libraries

%description libs
The gimp-libs package contains shared libraries needed for the GNU Image
Manipulation Program (GIMP).

%package devel
Summary:    GIMP plugin and extension development kit
Group: 		Applications/Multimedia
Requires:   %{name}-libs = %{epoch}:%{version}-%{release}
Requires: 	gtk2-devel
Requires:   glib2-devel
Requires:   pkgconfig
Obsoletes:	gimp2-devel gimp-beta-devel <= %{version}

%description devel
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.

%prep
cat << EOF

Build options:
modular X:                    %_enable_modularX
LCMS support:                 %_enable_lcms
Python support:               %_enable_python
MP support:                   %_enable_mp
build static libs:            %_enable_static
build print plugin:           %_enable_print
include convenience symlinks: %_enable_convenience


EOF

%setup -q -n gimp-%{version}
%patch0 -p1 -b .buildroot
%patch1 -p1 -b .gimphelpmissing
%patch2 -p1 -b .icontheme
%patch4 -p1 -b .gifload
%patch5 -p1 -b .htmlview
%patch6 -p1 -b .gimptool
%patch7 -p1 -b .sunras-overflow
%patch8 -p1 -b .psd-invalid-dimensions
%patch9 -p1 -b .validate-size-values
%patch10 -p1 -b .detect-invalid-image-data
%patch11 -p1 -b .psd-validate-size-values
%patch12 -p1 -b .sunras-validate-size-values
%patch13 -p1 -b .psd-corrupt-images-safeguard
%patch14 -p1 -b .psp-endianness
%patch15 -p1 -b .pcx-endianness
%patch16 -p1 -b .pcx-validate-bytesperline
%patch17 -p1 -b .bmp-hardening
%patch18 -p1 -b .CVE-2010-4540,4541,4542
%patch19 -p1 -b .CVE-2010-4543,2011-1782
%patch20 -p1 -b .pcx-hardening
%patch21 -p1 -b .CVE-2009-3909,CVE-2012-3402
%patch22 -p1 -b .CVE-2011-2896
%patch23 -p1 -b .CVE-2012-3403
%patch24 -p1 -b .postscript-crash
%patch25 -p1 -b .CVE-2012-3481
%patch26 -p1 -b .CVE-2012-5576
%patch27 -p1 -b .CVE-2013-1913,1978

%build
libtoolize --copy --force
intltoolize --automake --copy --force
aclocal -I m4macros
#perl -pi -e 's/require +XML::Parser/;/g;' aclocal.m4
automake
autoconf
LIBAA="disable"; export LIBAA
if [ ! -f configure ]; then
  ./autogen.sh --quiet $MYARCH_FLAGS --prefix=%{_prefix}
fi
CFLAGS="%optflags -fomit-frame-pointer -fno-strict-aliasing" \
%configure \
	--disable-perl \
%if %_enable_python
	--enable-python \
%else
	--disable-python \
%endif
%if %_enable_mp
	--enable-mp \
%else
	--disable-mp \
%endif
%if %_enable_static
	--enable-static \
%else
	--disable-static \
%endif
%if %_enable_print
	--enable-print \
%else
	--disable-print \
%endif
%if %_enable_lcms
	--with-lcms \
%else
	--without-lcms \
%endif
;

make %{?_smp_mflags}

# convenience stuff for external plugins (e.g. xsane)
sed -e 's|@GIMPTOOL@|%{_bindir}/gimptool-%{interfacever}|g' < %{SOURCE1} > gimp-plugin-mgr

%install
export PATH="$PATH:$PWD/bin"
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_infodir} $RPM_BUILD_ROOT/%{_includedir} \
	$RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/%{_bindir} \
        $RPM_BUILD_ROOT/%{_libdir}/gimp/%{interfacever}/plug-ins \
		$RPM_BUILD_ROOT/%{_datadir}/{applications,application-registry,mime-info,icons/hicolor/48x48/apps}

# makeinstall macro won't work here - libexec is overriden
make DESTDIR=$RPM_BUILD_ROOT install

%ifos linux
# remove .la files
find %buildroot -name \*.la -exec %__rm -f {} \;
%endif

# symlink desktop icon
ln -s ../../../../gimp/%{interfacever}/images/wilber-icon.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/gimp.png

#
# Plugins and modules change often (grab the executeable ones)
#
echo "%defattr (-, root, root)" > gimp-plugin-files
#find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{interfacever} -type f -exec file {} \; | grep -v perl | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v /usr/lib/gimp/%{interfacever}/modules/.*\.a$ >>gimp-plugin-files
find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{interfacever} -type f | sed "s@^$RPM_BUILD_ROOT@@g" | egrep -v 'modules/.*\.a$|modules/.*\.la$' >>gimp-plugin-files
grep "\.py$" gimp-plugin-files > gimp-plugin-files-py
# .pyc and .pyo files don't exist yet
for file in $(cat gimp-plugin-files-py); do
	echo ${file}c
	echo ${file}o
done >> gimp-plugin-files

#
# Auto detect the lang files.
#
%find_lang gimp%{gimp_lang_ver}
%find_lang gimp%{gimp_lang_ver}-std-plug-ins
%find_lang gimp%{gimp_lang_ver}-script-fu
%find_lang gimp%{gimp_lang_ver}-libgimp
cat gimp%{gimp_lang_ver}.lang gimp%{gimp_lang_ver}-std-plug-ins.lang gimp%{gimp_lang_ver}-script-fu.lang gimp%{gimp_lang_ver}-libgimp.lang > gimp-all.lang

#
# Build the master filelists generated from the above mess.
#
cat gimp-plugin-files gimp-all.lang > gimp.files

%if %_enable_convenience
# install convenience symlinks
ln -snf gimp-%{binver} %{buildroot}/%{_bindir}/gimp
ln -snf gimp-%{binver}.1 %{buildroot}/%{_mandir}/man1/gimp.1
ln -snf gimp-remote-%{binver} %{buildroot}/%{_bindir}/gimp-remote
ln -snf gimp-remote-%{binver}.1 %{buildroot}/%{_mandir}/man1/gimp-remote.1
ln -snf gimptool-%{interfacever} %{buildroot}/%{_bindir}/gimptool
ln -snf gimptool-%{interfacever}.1 %{buildroot}/%{_mandir}/man1/gimptool.1
%endif

# convenience stuff for external plugins (e.g. xsane)
mkdir -p %{buildroot}%{_sysconfdir}/gimp/plugins.d
mkdir -p %{buildroot}%{_sbindir}
install -m 0755 gimp-plugin-mgr %{buildroot}%{_sbindir}/gimp-plugin-mgr

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
# First, remove old symlinks which are possibly in an old location (before a
# major version update)
if [ -x "%{_sbindir}/gimp-plugin-mgr" ]; then
    %{_sbindir}/gimp-plugin-mgr --uninstall '*' || :
fi

%post
/usr/bin/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
# Then re-add the symlinks
%{_sbindir}/gimp-plugin-mgr --install '*' || :

%preun
# Only delete symlinks when uninstalling
if [ "$1" = "0" ]; then
    %{_sbindir}/gimp-plugin-mgr --uninstall '*' || :
fi

%postun
if [ "$1" = "0" ]; then
    /usr/bin/update-desktop-database %{_datadir}/applications
fi
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f gimp.files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc docs/*.txt docs/*.ps docs/*.xcf* docs/*.svg README.i18n README.win32
#%attr(-,root,root) %config(missingok) /%{_datadir}/applications/gimp.desktop
#%attr(-,root,root) %config(missingok) /%{_datadir}/mc/templates/gimp.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/application-registry/*.applications
%{_datadir}/mime-info/*.keys

%dir %{_datadir}/gimp
%dir %{_datadir}/gimp/%{interfacever}
%{_datadir}/gimp/%{interfacever}/tips/
%{_datadir}/gimp/%{interfacever}/misc/
%{_datadir}/gimp/%{interfacever}/menus/
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{interfacever}
%dir %{_libdir}/gimp/%{interfacever}/environ
#%dir %{_libdir}/gimp/%{interfacever}/fonts
%dir %{_libdir}/gimp/%{interfacever}/modules
%dir %{_libdir}/gimp/%{interfacever}/plug-ins
%dir %{_libdir}/gimp/%{interfacever}/python
#%dir %{_libdir}/gimp/%{interfacever}/tool-plug-ins

%{_datadir}/gimp/%{interfacever}/brushes/
%{_datadir}/gimp/%{interfacever}/fractalexplorer/
%{_datadir}/gimp/%{interfacever}/gfig/
%{_datadir}/gimp/%{interfacever}/gflare/
%{_datadir}/gimp/%{interfacever}/gimpressionist/
%{_datadir}/gimp/%{interfacever}/gradients/
# %{_datadir}/gimp/%{interfacever}/help/
%{_datadir}/gimp/%{interfacever}/images/
%{_datadir}/gimp/%{interfacever}/palettes/
%{_datadir}/gimp/%{interfacever}/patterns/
%{_datadir}/gimp/%{interfacever}/scripts/
%{_datadir}/gimp/%{interfacever}/themes/

%dir %{_sysconfdir}/gimp
%dir %{_sysconfdir}/gimp/plugins.d
%dir %{_sysconfdir}/gimp/%{interfacever}
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/controllerrc
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/gimprc
#%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/gimprc_user
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/gtkrc
#%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/gtkrc_user
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/unitrc
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/ps-menurc
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/sessionrc
%config(noreplace) %{_sysconfdir}/gimp/%{interfacever}/templaterc

#%{_datadir}/locale/*/*/*

%{_bindir}/gimp-%{binver}
%{_bindir}/gimp-remote-%{binver}
%{_bindir}/gimptool-%{interfacever}
%{_sbindir}/gimp-plugin-mgr
#%{_bindir}/embedxpm
#%{_bindir}/escputil-%{interfacever}

%if %_enable_convenience
%{_bindir}/gimp
%{_bindir}/gimp-remote
%{_bindir}/gimptool
%endif

%{_mandir}/man1/gimp-%{binver}.1*
%{_mandir}/man1/gimp-remote-%{binver}.1*
%{_mandir}/man1/gimptool-%{interfacever}.1*
%{_mandir}/man5/gimprc-%{binver}.5*

%if %_enable_convenience
%{_mandir}/man1/gimp.1*
%{_mandir}/man1/gimp-remote.1*
%{_mandir}/man1/gimptool.1*
%{_mandir}/man5/gimprc.5*
%endif

%{_datadir}/icons/hicolor/48x48/apps/gimp.png

%files libs
%defattr(-, root, root, 0755)
%{_libdir}/libgimp-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimp-%{interfacever}.so.%{age}
%{_libdir}/libgimpbase-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpbase-%{interfacever}.so.%{age}
%{_libdir}/libgimpcolor-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpcolor-%{interfacever}.so.%{age}
%{_libdir}/libgimpmath-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpmath-%{interfacever}.so.%{age}
%{_libdir}/libgimpmodule-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpmodule-%{interfacever}.so.%{age}
%{_libdir}/libgimpthumb-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpthumb-%{interfacever}.so.%{age}
%{_libdir}/libgimpui-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpui-%{interfacever}.so.%{age}
%{_libdir}/libgimpwidgets-%{interfacever}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpwidgets-%{interfacever}.so.%{age}

%files devel
%defattr (-, root, root, 0755)
%doc HACKING
%doc %{_datadir}/gtk-doc/*

%{_libdir}/*.so
%{_libdir}/*.a
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{interfacever}
%dir %{_libdir}/gimp/%{interfacever}/modules
%{_libdir}/gimp/%{interfacever}/modules/*.a
%ifnos linux
%{_libdir}/*.la
%{_libdir}/gimp/%{interfacever}/modules/*.la
%endif
%{_datadir}/aclocal/*.m4
%{_includedir}/gimp-%{interfacever}
%{_libdir}/pkgconfig/*

%changelog
* Tue Nov 26 2013 Nils Philippsen <nils@redhat.com> - 2:2.2.13-3%{?dist}
- fix overflow in XWD loader (CVE-2013-1913, CVE-2013-1978)

* Thu Mar 28 2013 Nils Philippsen <nils@redhat.com> - 2:2.2.13-2.0.12%{?dist}
- build with -fno-strict-aliasing

* Wed Mar 27 2013 Nils Philippsen <nils@redhat.com> - 2:2.2.13-2.0.11%{?dist}
- fix overflow in XWD loader (CVE-2012-5576)

* Thu Aug 16 2012 Nils Philippsen <nils@redhat.com> - 2:2.2.13-2.0.10%{?dist}
- fix overflow in GIF loader (CVE-2012-3481)

* Fri Jul 20 2012 Nils Philippsen <nils@redhat.com> - 2:2.2.13-2.0.9%{?dist}
- fix overflows in PSD plugin (CVE-2009-3909, CVE-2012-3402)
- fix heap corruption and overflow in GIF plug-in (CVE-2011-2896)
- fix overflow in CEL plug-in (CVE-2012-3403)

* Thu Jul 05 2012 Nils Philippsen <nils@redhat.com> - 2:2.2.13-2.0.8%{?dist}
- fix crash in postscript preview (#452998)

* Wed May 18 2011 Nils Philippsen <nils@redhat.com> - 2:2.2.13-2.0.7%{?dist}.2
- fix various overflows (#537356, #666793, #689831, #703403, #703405, #703407,
  #704512)
- unfuzz gimphelpmissing, icontheme patches

* Mon Sep 17 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.7
- validate bytesperline header field when loading PCX files (#247573)

* Mon Sep 10 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.6
- replace gimp_error() by gimp_message()/gimp_quit() in a few plugins so they
  don't crash but gracefully exit when encountering error conditions
- fix endianness issues in the PSP plugin to avoid it doing (seemingly) endless
  loops when loading images
- fix endianness issues in the PCX plugin which cause it to not detect corrupt
  images

* Fri Jul 13 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.5
- add safeguard to avoid crashes while loading corrupt PSD images (#247573,
  patch by Raphaël Quinet)

* Thu Jul 12 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.4
- don't divide by zero when loading a layer or mask with zero width or height
  when loading PSD images (#247573, patch by Sven Neumann)

* Thu Jul 12 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.3
- add ChangeLog entry to psd-invalid-dimensions patch (#247573)
- validate size values read from files before using them to allocate memory in
  various file plugins (#247573, patch by Mukund Sivaraman and Raphaël Quinet)
- detect invalid image data when reading files in several plugins (#247573,
  patch by Sven Neumann and Raphaël Quinet)
- validate size values read from files before using them to allocate memory in
  the PSD and sunras plugins (#247573, patch by Mukund Sivaraman)
- don't let gimp-plugin-mgr --uninstall fail %%post scriptlet
- convert spec file to UTF-8

* Wed Jun 27 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.2
- use upstream PSD fix by Sven Neumann (#244409)

* Mon Jun 18 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2.0.1
- refuse to open PSD files with insanely large dimensions (#244409)

* Mon Apr 30 2007 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-2
- avoid buffer overflow in sunras plugin (#238420)
- don't erroneously delete symlinks to external plugins when updating (#238993)
- own used directories in gimp-devel
- s/%%redhat/%%rhel/g

* Fri Aug 25 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.13-1
- version 2.2.13
- remove obsolete filename patch

* Thu Aug 17 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.12-5
- don't barf on empty /etc/gimp/plugins.d (#202808)

* Wed Aug 16 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.12-4
- revamp scheme for integrating external plugins (#202545)

* Wed Aug 02 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.12-3
- allow spaces in filenames when saving (#200888, patch by Michael Natterer)

* Tue Jul 18 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.12-2
- split off libraries into gimp-libs to allow multilib installations
- remove pre-release cruft

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2:2.2.12-1.1
- rebuild

* Mon Jul 10 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.12-1
- version 2.2.12
- use %%dist/%%fedora/%%redhat
- remove obsolete gcc4, libpng patches
- show build options in %%prep
- require gettext for building

* Wed May 31 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.11-5
- cope with pygobject2/-devel being split off (#193368)

* Tue May 09 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.11-4
- don't use long deprecated libpng API (#191027, patch by Manish Singh)

* Thu Apr 20 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.11-3
- only use pkgconfig if needed in gimptool, require pkgconfig in devel
  subpackage (#189314, #189371)

* Wed Apr 19 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.11-2
- require pkgconfig (#189314)

* Tue Apr 18 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.11-1
- version 2.2.11

* Fri Mar 03 2006 Nils Philippsen <nphilipp@redhat.com> - 2:2.2.10-4
- use htmlview as default web browser (#183730, patch by Ben Levenson)
- require hicolor-icon-theme (#182784, #182785)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2:2.2.10-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2:2.2.10-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 10 2006 Nils Philippsen <nphilipp@redhat.com>
- rebuild with lcms

* Thu Dec 29 2005 Nils Philippsen <nphilipp@redhat.com> - 2.2.10
- version 2.2.10

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 09 2005 Nils Philippsen <nphilipp@redhat.com>
- build with -fomit-frame-pointer to let assembly build with gcc 4.1

* Fri Dec 02 2005 Nils Philippsen <nphilipp@redhat.com>
- build with gcc 4.1

* Tue Nov 08 2005 Nils Philippsen <nphilipp@redhat.com>
- don't include .la files (#172626)
- require findutils for building

* Wed Nov 02 2005 Nils Philippsen <nphilipp@redhat.com> - 2.2.9
- version 2.2.9
- first attempt at dealing with modular X

* Tue Aug 16 2005 Nils Philippsen <nphilipp@redhat.com>
- rebuild

* Thu Jul 28 2005 Nils Philippsen <nphilipp@redhat.com>
- fix gimptool manpage symlink

* Mon Jul 25 2005 Nils Philippsen <nphilipp@redhat.com> - 2.2.8
- version 2.2.8
- clean up file list generation a bit
- gimptool manpage is in section 1 not 5
- list auto-generated .pyc and .pyo files

* Fri May 13 2005 Nils Philippsen <nphilipp@redhat.com>
- fix inline asm of MMX/SSE optimizations instead of using -mmmx and the like

* Fri May 13 2005 Nils Philippsen <nphilipp@redhat.com>
- fix cpuinstructionset patch so that it actually uses CPU-specific
  optimizations

* Wed May 11 2005 Nils Philippsen <nphilipp@redhat.com>
- use -mmmx/sse/sse2/... only for the relevant source files so that extended
  instruction sets only get used on suitable CPUs (#157409)

* Mon May 09 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.7, fixes bug in SSE2 assembly for Lighten Only layer mode
  (#145771) and various other bugs
- on x86 and x86_64, use -msse and -msse2 to accomodate newer compilers

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 2:2.2.6-2
- silence %%post

* Mon Apr 11 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.6

* Tue Mar 29 2005 Nils Philippsen <nphilipp@redhat.com>
- revert gtk requirement change

* Mon Mar 28 2005 Matthias Clasen <mclasen@redhat.com>
- Rebuild against newer libexif

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com>
- Update the GTK+ theme icon cache on (un)install

* Tue Mar 22 2005 Nils Philippsen <nphilipp@redhat.com>
- install convenience symlinks for man pages

* Fri Mar 11 2005 Nils Philippsen <nphilipp@redhat.com>
- don't refer to freefonts and sharefonts in %%description

* Wed Mar 09 2005 Nils Philippsen <nphilipp@redhat.com>
- prevent gifload plugin from crashing when loading files with bogus frame size
  (#150677, #150678)

* Wed Mar 02 2005 Nils Philippsen <nphilipp@redhat.com>
- don't barf when building with gcc 4.0

* Wed Feb 23 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.4
- require newer versions of gtk2 (#143840), glib2 and pango

* Sat Jan 29 2005 Nils Philippsen <nphilipp@redhat.com>
- make desktop icon themeable (#146486)

* Mon Jan 24 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.3
- remove exifmarkerlength patch (improved version applied upstream)

* Mon Jan 17 2005 Nils Philippsen <nphilipp@redhat.com>
- clip thumbnail quality at 75 and don't barf on saving images at quality 0
  (fix patch for #145100)

* Fri Jan 14 2005 Nils Philippsen <nphilipp@redhat.com>
- avoid writing excessively long EXIF markers (#145100)

* Tue Jan 11 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.2
- autogenerate %%microver

* Wed Dec 29 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.1
- pygimp-logo.png included in tarball again

* Mon Dec 20 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.0
- include pygimp-logo.png missing from tarball

* Fri Dec 10 2004 Nils Philippsen <nphilipp@redhat.com>
- use xsane plugin (un)install script if available

* Mon Nov 22 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.2-pre2

* Thu Nov 18 2004 Nils Philippsen <nphilipp@redhat.com>
- obsolete fixed gimp-perl version to be able to reintroduce it at a
  later point
- use correct dir in source URL

* Wed Nov 03 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.2-pre1

* Sun Oct 24 2004 Nils Philippsen <nphilipp@redhat.com>
- remove unnecessary echo statement

* Fri Oct 15 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.1.7 unstable

* Thu Oct 14 2004 Nils Philippsen <nphilipp@redhat.com>
- catch wrong values of bpp in BMP plugin (#135675), don't forget 1bpp and
  24bpp (d'oh)

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com>
- PreReq desktop-file-utils >= 0.9

* Sun Sep 26 2004 Nils Philippsen <nphilipp@redhat.com>
- fix post/postun requirements

* Sat Sep 25 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.5

* Thu Sep 16 2004 Nils Philippsen <nphilipp@redhat.com>
- rename desktop title (#132548)

* Thu Aug 26 2004 Nils Philippsen <nphilipp@redhat.com>
- add MimeType to desktop file
- run update-desktop-database in %%post/%%postun
- don't make stunts with -32 or -64 postfixed binaries anymore
- require /sbin/ldconfig and /usr/bin/update-desktop-database

* Tue Aug 10 2004 Nils Philippsen <nphilipp@redhat.com>
- build requires libwmf-devel

* Fri Aug 06 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.4

* Wed Aug 04 2004 Nils Philippsen <nphilipp@redhat.com>
- rebuild to pick up new libcroco

* Thu Jul 22 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.3
- buildreq gtk2-devel >= 2.4.0
- use -32 or -64 postfixed binaries if available

* Fri Jul 02 2004 Nils Philippsen <nphilipp@redhat.com>
- use included desktop (#126723), application-registry, mime-info and
  icon files
- remove perl cruft (Gimp-Perl is an external package now)
- further spec file cleaning

* Thu Jun 24 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.2
- fix summary (#126682)

* Tue Jun 22 2004 Nils Philippsen <nphilipp@redhat.com>
- build with gcc34 patch (sopwith)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Nils Philippsen <nphilipp@redhat.com>
- rebuild for Rawhide

* Wed May 26 2004 Nils Philippsen <nphilipp@redhat.com>
- add libjpeg-devel to BuildRequires (#121236)
- spit out slightly more informative help message if gimp-help is missing
  (#124307)

* Fri May 21 2004 Matthias Clasen <mclasen@redhat.com>
- rebuild

* Wed Apr 21 2004 Seth Nickell <snickell@redhat.com>
- Rename menu entry for .desktop file to "GIMP Image Editor"

* Tue Apr 20 2004 Nils Philippsen <nphilipp@redhat.com>
- update BuildRequires/Requires (#121236)

* Wed Apr 14 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.1

* Sun Mar 28 2004 Nils Philippsen <nphilipp@redhat.com>
- fix slide script-fu

* Sat Mar 27 2004 Nils Philippsen <nphilipp@redhat.com>
- bump some Build/Requires: versions
- change desktop file to actually run gimp-2.0

* Wed Mar 24 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.0

* Tue Mar 23 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0rc1

* Wed Mar 17 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre4

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 18 2004 Tim Waugh <twaugh@redhat.com>
- Added epoch to gimp-perl obsoletes tag.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Nils Philippsen <nphilipp@redhat.com>
- fix typo in %%_enable_print macro
- install convenience symlinks (gimp, gimp-remote, gimptool)

* Sun Feb 08 2004 Nils Philippsen <nphilipp@redhat.com>
- require gtk2, glib2 >= 2.3.0, pango >= 1.3.0

* Fri Feb 06 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre3
- update buildroot patch
- enable building static libs (old default)
- have '--define'able enable_*
- disable building of print plugin, it's in another package

* Fri Jan 30 2004 Nils Philippsen <nphilipp@redhat.com>
- rebuild against new libcroco

* Sat Jan 24 2004 Nils Philippsen <nphilipp@redhat.com>
- require %%{epoch}:%%{version}-%%{release} of base package in sub packages
- rather use %%{?smp_mflags} to actually exploit SMP build systems

* Fri Jan 23 2004 Nils Philippsen <nphilipp@redhat.com>
- set epoch to 1 to upgrade old gimp rpms
- obsolete gimp2-devel, gimp-beta-devel to allow upgrade of 3rd party repo
  packages, gimp-perl to upgrade old package

* Fri Jan 23 2004 Nils Philippsen <nphilipp@redhat.com>
- fix binary name in desktop file ("gimp-1.3" until gimp-2.0 becomes final, to
  allow coexistence with old gimp-1.x packages)
- system intltool buildrequires perl-XML-Parser, work around that, yay

* Thu Jan 22 2004 Nils Philippsen <nphilipp@redhat.com>
- build as gimp, not gimp-beta
- remove all the beta blurbs
- fix automake dependency
- fix libtool usage

* Tue Jan 20 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre2

* Sun Jan 11 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre1

* Tue Nov 25 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.23 beta

* Fri Nov 21 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.22 beta

* Thu Oct 16 2003 Nils Philippsen <nphilipp@redhat.com>
- leave gtk-doc documentation in place
- move gimptool to main package
- own some directories previously not owned

* Tue Oct 07 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.21 beta

* Thu Sep 11 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.20 beta

* Mon Aug 11 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.18 beta

* Thu Jul 10 2003 Nils Philippsen <nphilipp@redhat.com>
- don't specify file modes with defattr

* Wed Jul 09 2003 Nils Philippsen <nphilipp@redhat.com>
- use system libtool

* Fri Jul 04 2003 Nils Philippsen <nils@redhat.de>
- version 1.3.16 beta
- update buildroot patch

* Tue Mar 25 2003 Nils Philippsen <nils@lisas.de>
- version 1.3.13 beta
- use automake-1.7

* Tue Feb 18 2003 Nils Philippsen <nils@lisas.de>
- version 1.3.12 beta

* Fri Oct 25 2002 Nils Philippsen <nils@lisas.de>
- version 1.3.9 beta
- move desktop file to /usr/share/applications

* Wed Aug 28 2002 Nils Philippsen <nils@redhat.de>
- version 1.3.8 beta
- update and fix buildroot patch, don't run automake/autoconf

* Mon Jul 08 2002 Nils Philippsen <nils@redhat.de>
- version 1.3.7 beta
- use automake 1.5 and autoconf 2.53

* Fri Mar 15 2002 Nils Philippsen <nils@redhat.de>
- version 1.3.4 beta

* Thu Jul 19 2001 Tim Powers <timp@redhat.com>
- remove the perl temp files to pacify rpmlint

* Tue Jun 19 2001 Matt Wilson <msw@redhat.com>
- added versioned requires to gimp-devel and gimp-perl

* Tue Apr  3 2001 Matt Wilson <msw@redhat.com>
- added gimp-1.2.1-locale.patch, which I've checked in to gimp CVS, to
  correctly set up the locale in plug-ins (#34214)

* Mon Apr  2 2001 Preston Brown <pbrown@redhat.com>
- some gimp-perl files weren't defattr'd (#34325)

* Fri Mar 30 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Don't include embedxpm, as it depends on a non-included perl module (#=33249)
- move gimpdoc and xcftopnm to gimp-perl, as they are dependant on the perl Gimp
  module

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.2.1

* Mon Dec 25 2000 Matt Wilson <msw@redhat.com>
- 1.2.0

* Wed Dec 20 2000 Matt Wilson <msw@redhat.com>
- 1.1.31

* Thu Dec 14 2000 Matt Wilson <msw@redhat.com>
- 1.1.30
- merge changes from CVS into rpm-4.0 style spec file
- removed va_arg patch

* Mon Aug 21 2000 Matt Wilson <msw@redhat.com>
- 1.1.25

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Aug  8 2000 Matt Wilson <msw@redhat.com>
- fixed directory mode on %%{_defaultdocdir}/gimp-%%{version}

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuild against new libpng

* Mon Jul 31 2000 Matt Wilson <msw@redhat.com>
- muck with modules filelist generation to avoid getting files owned by
  two packages

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- disable aa plugin
- moved the group back to Applications/Multimedia
- added desktop entry back into the file list

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  1 2000 Matt Wilson <msw@redhat.com>
- 1.1.24

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- use root, not bin for the default owner.

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- add back missing system .desktop entry

* Sat Jun 10 2000 Matt Wilson <msw@redhat.com>
- rebuilt against fixed gcc

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr for gimp-perl

* Sun Jun  4 2000 Matt Wilson <msw@redhat.com>
- drop out all of \.a$ from the main package list

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- 1.1.23
- use __NO_MATH_INLINES for now on ix86
- massive FHS surgery

* Tue May 16 2000 Matt Wilson <msw@redhat.com>
- 1.1.22

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- 1.1.20

* Fri Apr 14 2000 Matt Wilson <msw@redhat.com>
- include subdirs in the help find
- remove gimp-help-files generation
- both gimp and gimp-perl own prefix/lib/gimp/1.1/plug-ins
- both gimp and gimp-devel own prefix/lib/gimp/1.1/modules

* Thu Apr 13 2000 Matt Wilson <msw@redhat.com>
- 1.1.19
- get all .mo files

* Wed Jan 19 2000 Gregory McLean <gregm@comstar.net>
- Version 1.1.15

* Wed Dec 22 1999 Gregory McLean <gregm@comstar.net>
- Version 1.1.14
- Added some auto %%files section generation scriptlets


